﻿@model Jumbula.Core.Model.ClubSetting.DuplicateEnrollmentPolicySettingViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref="Settings">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Duplicate Enrollments

            </h1>

        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <fieldset>
        <legend>Classes</legend>
        <section>
            <div class="input-control checkbox default-style place-left padding-right20 no-margin" data-role="input-control">
                <label>
                    <input ng-model="@Html.Ang(model => model.PreventSameClass)" name="showCapacityLeft" type="checkbox">
                    <span class="check"></span>
                    Prevent a participant from registering for the same class twice
                </label>

            </div>
        </section>
        <div class="clearfix"></div>
        <section>
            <div class="input-control checkbox default-style place-left padding-right20 no-margin" data-role="input-control">
                <label>
                    <input ng-model="@Html.Ang(model => model.PreventOtherClasses)" name="showCapacityLeft" type="checkbox">
                    <span class="check"></span>
                    Prevent a participant from registering for two classes with conflicting hours
                </label>

            </div>
        </section>
    </fieldset>

    <fieldset>
        <legend>Camps</legend>
        <section>
            <div class="input-control checkbox default-style place-left padding-right20 no-margin" data-role="input-control">
                <label>
                    <input ng-model="@Html.Ang(model => model.PreventSameCampSchedule)" name="showCapacityLeft" type="checkbox">
                    <span class="check"></span>
                    Prevent a participant from registering for the same schedule of the same camp twice
                </label>

            </div>
        </section>
        <div class="clearfix"></div>
        <section>
            <div class="input-control checkbox default-style place-left padding-right20 no-margin" data-role="input-control">
                <label>
                    <input ng-model="@Html.Ang(model => model.PreventMultipleCampDropIn)" name="showCapacityLeft" type="checkbox">
                    <span class="check"></span>
                    Prevent a participant from registering for multiple drop-ins on the same day with conflicting hours
                </label>

            </div>
        </section>
    </fieldset>

    <fieldset>
        <legend>Before/After Care</legend>
        <section>
            <div class="input-control checkbox default-style place-left padding-right20 no-margin" data-role="input-control">
                <label>
                    <input ng-model="@Html.Ang(model => model.PreventSameProgramBeforeAfterWeekDay)" name="showCapacityLeft" type="checkbox">
                    <span class="check"></span>
                    Prevent a participant from registering twice for a program with a conflicting day of the week and hour
                </label>

            </div>
        </section>
        <div class="clearfix"></div>
    </fieldset>

    <div>
        <button ng-click="save()" class="success large place-right">Save</button>
    </div>

    <div class="clearfix"></div>
</div>